/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jurls;

/**
 *
 * @author thorsten2
 */
public class Demos extends javax.swing.JFrame {

    /**
     * Creates new form ChooseDemoFrame
     */
    public Demos() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    
    private void initComponents() {

        javax.swing.JButton jButton1 = new javax.swing.JButton();
        javax.swing.JButton jButton2 = new javax.swing.JButton();
        javax.swing.JButton jButton3 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JURLS - Choose Demo");
        setMinimumSize(new java.awt.Dimension(400, 75));
        getContentPane().setLayout(new java.awt.GridLayout(0, 1));

        jButton1.setText("Function Approximation 1D");
        jButton1.addActionListener(Demos::jButton1ActionPerformed);
        getContentPane().add(jButton1);

        jButton2.setText("Function Approximation 2D");
        jButton2.addActionListener(Demos::jButton2ActionPerformed);
        getContentPane().add(jButton2);

        jButton3.setText("Reinforcement Learning");
        jButton3.addActionListener(Demos::jButton3ActionPerformed);
        getContentPane().add(jButton3);

        pack();
    }

    private static void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {
        ApproximationDemo1D.main(new String[0]);
    }

    private static void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {
        ApproximationDemo2D.main(new String[0]);
    }

    private static void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {
        RLDemo.main(new String[0]);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {


        /* Create and display the form */
        java.awt.EventQueue.invokeLater(() -> new Demos().setVisible(true));
    }


}
